## org.apache.cassandra.utils
Class BloomFilterSerializer

    java.lang.Object
      org.apache.cassandra.utils.BloomFilterSerializer

All Implemented Interfaces:
  ISerializer<BloomFilter>

    public class BloomFilterSerializer

extends java.lang.Object
implements ISerializer<BloomFilter>

Constructor Summary
`BloomFilterSerializer()`

Method Summary
`BloomFilter` `deserialize(java.io.DataInput dis)` Deserialize from the specified DataInput instance.
`void` `serialize(BloomFilter bf, java.io.DataOutput dos)` Serialize the specified type into the specified DataOutput instance.
`long` `serializedSize(BloomFilter bf)` Calculates a serialized size of the given Bloom Filter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BloomFilterSerializer

    public BloomFilterSerializer()

Method Detail

### serialize

    public void serialize(BloomFilter bf,
                          java.io.DataOutput dos)
                   throws java.io.IOException

  Description copied from interface: `ISerializer`
  Serialize the specified type into the specified DataOutput instance.

  Specified by:
    `serialize` in interface `ISerializer<BloomFilter>`
  Parameters:
    `bf` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public BloomFilter deserialize(java.io.DataInput dis)
                            throws java.io.IOException

  Description copied from interface: `ISerializer`
  Deserialize from the specified DataInput instance.

  Specified by:
    `deserialize` in interface `ISerializer<BloomFilter>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### serializedSize

    public long serializedSize(BloomFilter bf)

  Calculates a serialized size of the given Bloom Filter

  Specified by:
    `serializedSize` in interface `ISerializer<BloomFilter>`
  Parameters:
    `bf` - Bloom filter to calculate serialized size
  Returns:
    serialized size of the given bloom filter
  See Also:
    `this.serialize(BloomFilter, DataOutput)`

Copyright © 2012 The Apache Software Foundation